package com.cloudcross.ssp.back.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.back.model.Order;
import com.cloudcross.ssp.base.service.IGenericService;

public interface IOrderService extends IGenericService<Order> {

	/**
	 * 按条件查找订单
	 * @param advertiserType
	 * @return
	 */
	public List<Order> findByAdvertiserType(String advertiserType);
	//按advertiserId查找订单
	public List<Order> findByAdvertiserId(Long advertiserId);
	//按订单名查找订单
	public long findByName(String name);
	//按订单状态查找订单
	public List<Order> findByStatus(Map<String, Object> paramMap);
	//导出Excel用
	public List<Order> findDeliverEffectAnalysis(Map<String, Object> paramMap);
	//向t_adgroup里面插入Supdated
	public boolean updateSupdated(List<Long> orderIdList, int status);
}
